Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.servlet
Class XDBServletContainer

`java.lang.Object
oracle.xdb.servlet.XDBServletContainer`

      public class XDBServletContainer

extends java.lang.Object

XDB Servlet Container, called by the native HTTP server to handle servlet requests.

Constructor Summary
`XDBServletContainer()`

Method Summary
`static int` `handleRequest(int c1, int c2)` Handle servlet request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDBServletContainer

    public XDBServletContainer()

Method Detail

### handleRequest

    public static int handleRequest(int c1,
                                    int c2)

  Handle servlet request.
  Parameters:
    `c1` - Unused parameter.
    `c2` - Unused parameter.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.